Loading...
Searching...
No Matches
fastjet::D0RunIIConePlugin Class Reference
Plugins for non-native jet definitions

Implementation of the D0 Run II Cone (plugin for fastjet v2.1 upwards). More...

`#include <fastjet/D0RunIIConePlugin.hh>`

Inheritance diagram for fastjet::D0RunIIConePlugin:
[legend]
Collaboration diagram for fastjet::D0RunIIConePlugin:
[legend]

## Public Member Functions

| D0RunIIConePlugin (double cone_radius_in, double min_jet_Et_in, double split_ratio_in=_DEFAULT_split_ratio)
| A D0RunIIConePlugin constructor which sets the "free" parameters of the algorithm:
double | cone_radius () const
double | min_jet_Et () const
double | split_ratio () const
double | far_ratio () const
double | Et_min_ratio () const
bool | kill_duplicate () const
double | duplicate_dR () const
double | duplicate_dPT () const
double | search_factor () const
double | pT_min_leading_protojet () const
double | pT_min_second_protojet () const
int | merge_max () const
double | pT_min_nomerge () const
double | overlap_threshold () const
| access the split_ratio() also by the name overlap_threshold()
virtual std::string | description () const
| return a textual description of the jet-definition implemented in this plugin
virtual void | run_clustering (ClusterSequence &) const
| given a ClusterSequence that has been filled up with initial particles, the following function should fill up the rest of the ClusterSequence, using the following member functions of ClusterSequence:
virtual double | R () const
| the plugin mechanism's standard way of accessing the jet radius
Public Member Functions inherited from fastjet::JetDefinition::Plugin
virtual bool | supports_ghosted_passive_areas () const
| return true if there is specific support for the measurement of passive areas, in the sense that areas determined from all particles below the ghost separation scale will be a passive area.
virtual void | set_ghost_separation_scale (double scale) const
| set the ghost separation scale for passive area determinations in future runs (strictly speaking that makes the routine a non const, so related internal info must be stored as a mutable)
virtual double | ghost_separation_scale () const
virtual bool | exclusive_sequence_meaningful () const
| if this returns false then a warning will be given whenever the user requests "exclusive" jets from the cluster sequence
virtual bool | is_spherical () const
| returns true if the plugin implements an algorithm intended for use on a spherical geometry (e.g.
virtual | ~Plugin ()
| a destructor to be replaced if necessary in derived classes...

## Detailed Description

Implementation of the D0 Run II Cone (plugin for fastjet v2.1 upwards).

D0RunIIConePlugin is a plugin for fastjet (v2.1 upwards) that provides an interface to the D0 version of Run-II iterative cone algorithm with midpoint seeds (also known as the Iterative Legacy Cone Algorithm, ILCA).

The D0 code has been taken from Lars Sonnenschein's web-space http://www-d0.fnal.gov/~sonne/D0RunIIcone.tgz

The version of the D0 Run II code distributed here has been modified by the FastJet authors, so as to provide access to the contents of the jets (as is necessary for the plugin). This does not modify the results of the clustering.

Definition at line 61 of file D0RunIIConePlugin.hh.

## Constructor & Destructor Documentation

## D0RunIIConePlugin()

fastjet::D0RunIIConePlugin::D0RunIIConePlugin | ( | double | cone_radius_in,
|  | double | min_jet_Et_in,
|  | double | split_ratio_in = _DEFAULT_split_ratio )

inline

A D0RunIIConePlugin constructor which sets the "free" parameters of the algorithm:

- the cone_radius has the usual meaning
- the min_jet_Et causes cones to be discarded at if at any iteration they have pt < Et_min_ratio * min_jet_Et. Two values have been used by D0 for min_jet_Et: 8 GeV in earlier Run II publicatinos, 6 GeV in later publications
- split_ratio is equivalent to the overlap threshold during the split/merge step. Default: 0.5.

The remaining parameters of the algorithm are not to be modified if the algorithm is to correspond to the one actually used by D0.

Definition at line 81 of file D0RunIIConePlugin.hh.

## Member Function Documentation

## cone_radius()

double fastjet::D0RunIIConePlugin::cone_radius | ( |  | ) | const

inline

Definition at line 102 of file D0RunIIConePlugin.hh.

## min_jet_Et()

double fastjet::D0RunIIConePlugin::min_jet_Et | ( |  | ) | const

inline

Definition at line 103 of file D0RunIIConePlugin.hh.

## split_ratio()

double fastjet::D0RunIIConePlugin::split_ratio | ( |  | ) | const

inline

Definition at line 104 of file D0RunIIConePlugin.hh.

## far_ratio()

double fastjet::D0RunIIConePlugin::far_ratio | ( |  | ) | const

inline

Definition at line 105 of file D0RunIIConePlugin.hh.

## Et_min_ratio()

double fastjet::D0RunIIConePlugin::Et_min_ratio | ( |  | ) | const

inline

Definition at line 106 of file D0RunIIConePlugin.hh.

## kill_duplicate()

bool fastjet::D0RunIIConePlugin::kill_duplicate | ( |  | ) | const

inline

Definition at line 107 of file D0RunIIConePlugin.hh.

## duplicate_dR()

double fastjet::D0RunIIConePlugin::duplicate_dR | ( |  | ) | const

inline

Definition at line 108 of file D0RunIIConePlugin.hh.

## duplicate_dPT()

double fastjet::D0RunIIConePlugin::duplicate_dPT | ( |  | ) | const

inline

Definition at line 109 of file D0RunIIConePlugin.hh.

## search_factor()

double fastjet::D0RunIIConePlugin::search_factor | ( |  | ) | const

inline

Definition at line 110 of file D0RunIIConePlugin.hh.

## pT_min_leading_protojet()

double fastjet::D0RunIIConePlugin::pT_min_leading_protojet | ( |  | ) | const

inline

Definition at line 111 of file D0RunIIConePlugin.hh.

## pT_min_second_protojet()

double fastjet::D0RunIIConePlugin::pT_min_second_protojet | ( |  | ) | const

inline

Definition at line 112 of file D0RunIIConePlugin.hh.

## merge_max()

int fastjet::D0RunIIConePlugin::merge_max | ( |  | ) | const

inline

Definition at line 113 of file D0RunIIConePlugin.hh.

## pT_min_nomerge()

double fastjet::D0RunIIConePlugin::pT_min_nomerge | ( |  | ) | const

inline

Definition at line 114 of file D0RunIIConePlugin.hh.

## overlap_threshold()

double fastjet::D0RunIIConePlugin::overlap_threshold | ( |  | ) | const

inline

access the split_ratio() also by the name overlap_threshold()

Definition at line 118 of file D0RunIIConePlugin.hh.

## description()

string fastjet::D0RunIIConePlugin::description | ( |  | ) | const

virtual

return a textual description of the jet-definition implemented in this plugin

Implements fastjet::JetDefinition::Plugin.

Definition at line 60 of file D0RunIIConePlugin.cc.

## run_clustering()

void fastjet::D0RunIIConePlugin::run_clustering | ( | ClusterSequence & |  | ) | const

virtual

given a ClusterSequence that has been filled up with initial particles, the following function should fill up the rest of the ClusterSequence, using the following member functions of ClusterSequence:

- plugin_do_ij_recombination(...)
- plugin_do_iB_recombination(...)

Implements fastjet::JetDefinition::Plugin.

Definition at line 72 of file D0RunIIConePlugin.cc.

## R()

virtual double fastjet::D0RunIIConePlugin::R | ( |  | ) | const

inline virtual

the plugin mechanism's standard way of accessing the jet radius

Implements fastjet::JetDefinition::Plugin.

Definition at line 124 of file D0RunIIConePlugin.hh.

The documentation for this class was generated from the following files:

- plugins/D0RunIICone/fastjet/D0RunIIConePlugin.hh
- plugins/D0RunIICone/D0RunIIConePlugin.cc